Topics index
 Top Next
Introduction
Introduction
What edition to choose ?
System requirements
Installation
novaPDF Printer SDK
Features summary
Feature matrix

Printing Preferences
Page
Manage Predefined Forms
Margins and zoom (Std or Pro)
Compression (Std or Pro)
Fonts (Std or Pro)
Document
Security (Pro)
Links (Pro)
Bookmarks (Pro)
Add/Edit Bookmark (Pro)
Save
Email (Pro)
Configure SMTP (Pro)
Configure Email (Pro)
Profiles (Std or Pro)
Language

How to...
How to use profiles ?
How to use public profiles (Server) ?
How to manage predefined forms ?
How to install from command line ?

License and Contact Information
Licensing and registration
Network licensing
Features list


Introduction
 Previous Top Next
novaPDF Printer is a virtual printer driver for Windows. Instead of printing on paper, it creates Adobe PDF files.

What is PDF?
Adobe PDF (Portable Document Format) is a universal file format that preserves the fonts, images, graphics, and layout of any source document, regardless of the application, hardware and operating system used to create it. PDF files are compact and complete, and can be shared, viewed, and printed by anyone with free Adobe Reader® software (or other third party PDF readers). PDF documents are also independent of the output device on which they are to be displayed or printed.

PDF has become the de facto standard for the electronic exchange of documents. Major corporations, government agencies, and educational institutions streamline their operations by replacing paper-based workflow with electronic exchange of information.

Why use novaPDF Printer?
novaPDF Printer can convert any printable file into a PDF file. Its purpose is to enable users to easily exchange electronic documents, independently of the environment in which they were initially created. It also helps companies to publish reports, marketing plans, price lists, contracts, and any other documents in a portable electronic document format.

How to use novaPDF Printer?
All you have to do is to click Print from the application displaying the document and choose the novaPDF Printer to create PDF files. You can generate high-quality and searchable PDF files from any Windows application.

You can choose a default folder and file name for generated PDF files, or you can set them at each print job. You can also choose different options for the output PDF file, including custom paper size, resolution, portrait and landscape orientation, scale, image compression, font embedding, PDF security and document metadata.

To create a PDF file you only need a windows application that can print (like notepad or wordpad).
To view PDF files, you need the FREE Adobe Acrobat Reader® (you can download it from www.adobe.com ) or any other PDF viewer application.

novaPDF Printer is compatible with Windows 2000/XP/2003 Server and requires approximately 6MB of free disk space.


What edition to choose ?
There are three licensing options for novaPDF Printer: Lite, Standard and Professional. All of them implement the basic functionalities of a PDF Printer: print from any Windows application, predefined page sizes, custom page sizes, page orientation, printing resolution, document scaling, PDF document information, automatically save and open PDF file, select user interface language, etc.

The Standard Edition has additional features, like: zoom and margins, text and image compression, font embedding and sub-setting, user profiles.

The Professional Edition adds PDF security, PDF Links, Email and Bookmarks to the features of Standard Edition.

If you only want to create simple PDF files, with no advanced options, you should choose the Lite edition. When printing to novaPDF Printer Lite, you can only choose the printing options (page size, resolution, etc.), fill the PDF document information (title, subject, etc.) or enter the name of the resulting PDF file.

If you want to have the possibility to choose from different levels of compression, to control font or font subset embedding then go for the Standard Edition.

If you want to apply PDF security for the resulting PDF files, if you want to detect PDF Links and PDF Bookmarks, or if you want to automatically send the PDF file by email, then you will need the Professional Edition.

You can also choose between Desktop edition or Server edition. If you use novaPDF printer on only one computer or your computers are not permanently connecyed in a network, you should choose the Desktop edition. If you want to use novaPDF Printer as a shared network printer or in a Terminal Server environment, you should choose the Server edition. The Server edition adds features like license management and public profiles.

Related Topics
Features summary
Feature Matrix


System requirements
To install novaPDF Printer you need Windows 2000/XP/Server 2003 and approximately 2 megabytes of free disk space for the Lite or Standard editions and 6 megabytes for the Professional edition.


Installation
Install

To install novaPDF (Lite, Standard or Professional) on your computer you need to have administrative rights. The installation process does not take much time. All you need to do is to follow the instructions of the "Setup - novaPDF Printer" wizard. If this is the first time you install, there is no need to reboot at the end of the setup; you can print to novaPDF right after it is installed on your machine.

If you have already installed an older version of novaPDF, you can install the new version on top of the older one, no need to uninstall it. If it is a minor release your old settings will be preserved. If it is a major release it will not overwrite the previous version. During setup you will have the option to import the profiles from previous versions and later you can uninstall the older version. After the installation process finishes, you might be asked to reboot your computer.
Network install
novaPDF Printer Server edition (Lite, Standard or Professional) can be installed on a central computer and used by any computer in the network. This is what you have to do:

Choose a computer in the network that will be the print server. Install novaPDF Printer Server (Lite, Standard or Professional) on it, as described in the Installation section.

If you are using Terminal Services then you do not need to share and install on the client computers anything.

If you are not using Terminal Services you have to share the printer installed on your print server. From any workstation in the network, connect to the shared novaPDF Printer Server. You can connect to a network printer in several ways. Here are two of them:
- from Windows Start menu, Settings, open Printers and Faxes. Select Add Printer and choose the network shared novaPDF Printer Server on the printer server.
- in Windows Explorer, go to the printer server computer, open Printers and Faxes, select novaPDF Printer Server and from the Popup menu choose Connect...
After a connection was made to the novaPDF Printer Server, you can see it in your list of printers on the workstations. You can go to any application and print to it.

Uninstall

Go to the novaPDF application group (from the Windows "Start" menu and click "Uninstall novaPDF Printer"). You can also uninstall the application using the "Add/Remove programs" icon from the "Control Panel".

Network uninstall

On the print server go to the novaPDF application group (from the Windows "Start" menu and click "Uninstall novaPDF Printer"). You can also uninstall the application using the "Add/Remove programs" icon from the "Control Panel".

On the client computers from the from Windows Start menu, Settings, open Printers and Faxes. Select the novaPDF Printer Server and delete it.

Command line
novaPDF setup can be called from command line with several parameters. See How to install from command line topic for the parameters list.


novaPDF Printer SDK
You can integrate novaPDF Printer in your applications and easy generate PDF files.

Installation
novaPDF Printer SDK comes in a separate installation program and can be downloaded from the product site. See Contact Us topic for more details.

novaPDF SDK package
novaPDF Printer SDK includes:

- a COM interface for customizing novaPDF Printer options. Any option that can be configured in the novaPDF Printer Printing Preferences dialog, can be also configured with the COM interface, including profiles management.

- a silent installer for the novaPDF Printer that can be distributed with your software. You can include this silent installer in your installation program and novaPDF printer will be installed with your customized options, without any user interaction.

- novaPDF Printer SDK documentation

- several samples of how to use novaPDF Printer SDK

How to generate PDF file with novaPDF Printer SDK
You have to follow next steps for generating PDF files from your software:

- silent install novaPDF Printer on the client machine by using the silent installer provided in the novaPDF Printer SDK

- customize novaPDF Printer settings using the provided COM interface (for instance set the output file name and folder, document info,...). If you do not wish to install and use the COM interface, you can write the settings directly in registry. All registry settings are documented in the novaPDF Printer SDK manual.

- start a print job from your application and write to the printer device context as you wish. All your drawing will be converted to PDF.

- you can also register some windows messages to receive the printing status (page finished, document finished, errors...)

Network use
novaPDF Printer Server can be installed on the network as a printer server and novaPDF Printer SDK can be used in softwares that are installed on a single computer in network and used from any other computer in the network.

All you need to do in your software is to check if the novaPDF Printer Server is installed locally and if not to add a connection to the novaPDF Printer Server on the printer server.

Licensing
novaPDF Printer SDK is fully functional with no time limitation. A notice is printed on each PDF page mentioning the novaPDF Printer.

The notice will be removed when you buy and register novaPDF Printer SDK license. novaPDF Printer SDK has a royalty-free license.

The notice will be also removed if you print from computers where the novaPDF Printer is registered. If you have the novaPDF Printer registered on every computer that uses your sowtware, there is no need to buy the license for novaPDF Printer SDK


Features summary
Create PDF files
You can create fully compatible Adobe PDF files from any Windows application that supports printing.

Easy installation
There is a single installation file that automatically installs novaPDF Printer. Also there is an uninstaller utility that automatically uninstalls novaPDF Printer. You only need Windows 2000/XP/Server 2003 and approximately 2 megabytes of free disk space.

Easy to use
You don't need to learn a complex program. All you have to do is to click Print from your application and choose the novaPDF Printer to create PDF files.

Network auto-install
novaPDF Printer can be installed on one computer and can be used by any computer in the network, without having to install it on each computer. Just share the printer on the printer server and connect to it from any other computer.

Convert any document
novaPDF Printer converts any type of printable windows document including DOC, XLS, PPT, HTML and TXT.

Searchable PDF files
You can search and extract text from the generated PDF files.

Paper
novaPDF Printer supports several predefined paper sizes and also custom user defined paper sizes that can be saved and reused. You can also set printing resolution from 72 to 2400 dpi. To better fit the result on paper, there are options to set paper margins and to scale the output.

Fonts (Standard)
TrueType and OpenType fonts are supported. The fonts can be embedded in the PDF file to ensure perfect portability. You can choose to embed only font subsets and reduce PDF file size.
novaPDF supports any character set, including Eastern-European, Chinese, Japanese and Korean fonts and characters .

Compression (Standard)
Documents can be compressed using the zip compression method. Images can also be compressed using JPEG compression. For all compression methods, you can choose a compression level.

Document properties
You can set the document properties such as title, subject, author and keywords for each printed document.

File encryption and password protection (Standard)
PDF documents can be secured using either 40-bit or 128-bit encryption algorithms. You can control access to PDF files to prevent opening without a password, printing, copying text and graphics or editing PDF files.
PDF Links
novaPDF Printer can parse the printed document text and recognize links to files and URLs. It can mark them in the generated PDF file as links, so they can be opened by clicking them in the PDF viewer.

PDF Bookmarks
novaPDF can detect the headings in the printed document and add bookmarks in the generated PDF files. You have to define the text attributes for the document headings (font, size, style, color) and for the generated bookmarks.

Email
You can configure novaPDF Printer to send an email after a PDF file is generated. The PDF will be attached to the email, compressed or not. The email can be sent with SMTP or with your default email client.

Output folder
You can set a default folder to save the files and a default file name. You can also use some macros to define the resulting file name including: original document name, date and time, computer and user name and a file counter. Or you can choose the output folder and file name at each print job.

View PDF files
You can choose to automatically view the PDF files immediately after they were generated in any PDF viewer installed on your computer.

Profiles (Standard)
Each user has different settings. Beside this, each user can define different profiles, each with its own settings for page size, resolution, fonts, compression, document info and save settings. Later, you can use one of the defined profiles when printing a document. A default profile is automatically created when you first install the software.

Public Profiles (Server)
With novaPDF Server edition you can define public profiles. These profiles are created on the server computer and are automatically propagated to all client computers. You can configure some profiles to save the PDF files in a folder on server and all client computers will generate the PDF files in that folder.

Language
During novaPDF setup you can choose what languages to be installed for novaPDF user interface. You can change the language at runtime.

novaPDF Printer SDK
You can integrate novaPDF Printer in your applications and easy generate PDF files. You should download and install novaPDF Printer SDK that includes a COM for customizing novaPDF Printer options and a silent installer for the driver that can be distributed with your software.


Feature matrix

Detailed feature matrix for novaPDF Lite (Lite), Standard (Std), Professional (Pro), Lite Server (Lite SRV), Standard Server (Std SRV) and Professional Server (Pro SRV) editions
Feature | Lite | Lite SRV | Std | Std SRV | Pro | Pro SRV
Print from any Windows application | Yes | Yes | Yes | Yes | Yes | Yes
Embedding images | Yes | Yes | Yes | Yes | Yes | Yes
Embedding formulas and tables | Yes | Yes | Yes | Yes | Yes | Yes
Page - Predefined Sizes | Yes | Yes | Yes | Yes | Yes | Yes
Page - Custom Sizes | Yes | Yes | Yes | Yes | Yes | Yes
Page - Orientation | Yes | Yes | Yes | Yes | Yes | Yes
Page - Resolution (72 to 2400 dpi) | Yes | Yes | Yes | Yes | Yes | Yes
Page - Scaling (1-400%) | Yes | Yes | Yes | Yes | Yes | Yes
Page - Margins (Left, Right, Top and Bottom) | - | - | Yes | Yes | Yes | Yes
Page - Zoom (1-400%) | - | - | Yes | Yes | Yes | Yes
Page - Align | - | - | Yes | Yes | Yes | Yes
Compression - Text and graphics | - | - | Yes | Yes | Yes | Yes
Compression - High color images | - | - | Yes | Yes | Yes | Yes
Compression - Indexed and monochrome images | - | - | Yes | Yes | Yes | Yes
Compression - Optimization of image sequences | - | - | Yes | Yes | Yes | Yes
Fonts - Embedding | - | - | Yes | Yes | Yes | Yes
Fonts - Embed subsets | - | - | Yes | Yes | Yes | Yes
Fonts - Always embed list | - | - | Yes | Yes | Yes | Yes
Fonts - Never embed list | - | - | Yes | Yes | Yes | Yes
Document - Set info (Title, Subject, Author, Keywords) | Yes | Yes | Yes | Yes | Yes | Yes
Document - Set start page | Yes | Yes | Yes | Yes | Yes | Yes
Document - Set page layout | Yes | Yes | Yes | Yes | Yes | Yes
Document - Show panels | Yes | Yes | Yes | Yes | Yes | Yes
Security - Encryption level (none, 40-bit, 128-bit) | - | - | - | - | Yes | Yes
Security - Set document permissions | - | - | - | - | Yes | Yes
Security - Password protection (user, owner) | - | - | - | - | Yes | Yes
Links - Detect URLs and local files | - | - | - | - | Yes | Yes
Links - Customize appearance | - | - | - | - | Yes | Yes
Bookmarks - multiline, match regardless of level | - | - | - | - | Yes | Yes
Bookmarks - set number of level, open to level | - | - | - | - | Yes | Yes
Bookmarks - multiple definitions | - | - | - | - | Yes | Yes
Bookmarks - detect by font, size, style, color | - | - | - | - | Yes | Yes
Bookmarks - show in different style and color | - | - | - | - | Yes | Yes
Save - Local | Yes | Yes | Yes | Yes | Yes | Yes
Save - Network | - | Yes | - | Yes | - | Yes
Save - Prompt dialog or use predefined settings | Yes | Yes | Yes | Yes | Yes | Yes
Save - Automatic actions in case of name conflicts | Yes | Yes | Yes | Yes | Yes | Yes
Save - Open PDF or execute action after save | Yes | Yes | Yes | Yes | Yes | Yes
Email - send as attachment (normal or zipped) | - | - | - | - | Yes | Yes
Email - send using email client or SMTP server | - | - | - | - | Yes | Yes
Email - multiple definitions | - | - | - | - | Yes | Yes
Profiles - multiple private profiles | - | - | Yes | Yes | Yes | Yes
Profiles - multiple public profiles | - | - | - | Yes | - | Yes
Language - multiple translations for the interface | Yes | Yes | Yes | Yes | Yes | Yes
Licensing - single user | Yes | - | Yes | - | Yes | -
Licensing - multi user | - | Yes | - | Yes | - | Yes
Licensing - Share as network printer | - | Yes | - | Yes | - | Yes
Licensing - Use with Terminal Services | - | Yes | - | Yes | - | Yes


Page
The main page of the Printing Preferences window allows you to select the page size, access the Manage Predefined Forms window, change the page orientation, set the resolution, scale and access the Margins and Zoom window and preview your selection.

The Printing Preferences window can be opened by choosing the Printing Preferences menu item when novaPDF Printer is selected in the Printers and Faxes window. It is accessible also form the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF Printer is selected.

Page size
Here you can select one of the visible predefined forms, access the Manage Predefined Forms window or define a custom page size. The page size can also be set from the printing application.

Predefined
You can select a predefined form from the drop down list when this option is selected. The width and height of the selected form are shown below the drop down list.

Manage
This will open the Manage Predefined Forms window. If you cannot find a suitable predefined form in the list above and want to define it for future use, you should press the Manage button and create or make visible the necessary form. For more information see the Manage Predefined Forms and How to manage predefined forms topics.

Customize
If you want to print to a custom page size only once and don't need the same size in the future, you can select the Customize radio button and type the desired page width and height.

Width
You can set the page width between 10 and 10000 millimeters. The number you enter is expressed in the selected measurement unit. The field defaults to the previously selected predefined form's width.

Height
You can set the page height between 10 and 10000 millimeters. The number you enter is expressed in the selected measurement unit. The field defaults to the previously selected predefined form's height.

Units
You can change the measurement units from the Units drop down list. Available options are inches, millimeters or points. The units apply to the predefined and customized page sizes and to the margins.

Orientation
Specifies how the document is positioned on the page. Available options are: Portrait or Landscape. The orientation can also be set from the printing application.

Portrait
Portrait orients the print vertically (longest edge of the page is vertical).

Landscape
Landscape orients the print horizontally (longest edge of the page is horizontal).

Preview
Shows a graphic representation about the PDF page highlighting important settings like page size, margins and zoom.

Graphic
Specifies the resolution and scale of the document. You can also access the Margins and Zoom window.

Resolution
You can set the printing resolution between 50 and 2400 dpi. A smaller resolution results in smaller PDF file, but lower image quality, while a higher resolution means better image quality, but bigger PDF file. The default value is 300 dpi. The resolution can also be set from the printing application.

Scale
You can scale the document from 1% to 400%. The scale factor can also be set from the printing application.

Margins and Zoom
This will open the Margins and Zoom window. If you need to set position, margins, zoom, alignment and origin of the document in the PDF page you should press this button. For more information see the Margins and Zoom topic. Margins and Zoom is available only in the Standard or Professional editions.

NOTES
Some applications allow you to set page size, orientation, scale and resolution from their own printing dialogs. If you open the novaPDF Printing Preferences dialog from the printing application, you will see these settings are automatically updated on the first page. But you can override them if you set the "Profile Settings Override Paper Settings From Printing Applications" check box on the Profiles page. For more information see the Profiles topic.

All changes you make on this page are saved in the active profile. For more details on how to manage profiles go to Profiles or How to use private profiles topics.

Related Topics
Manage Predefined Forms
How to manage predefined forms
Margins and Zoom
Profiles
How to use private profiles


Manage Predefined Forms
In the Manage Predefined Forms window you can view, add, copy, update and delete predefined forms (page sizes/formats). There are two types of forms standard and custom.

System forms are standard page sizes that are created when novaPDF Printer is installed. They are usually available in all applications and cannot be modified or removed, only hidden.

Custom forms are the forms created by the user. Unlike system forms, their properties can be modified by the user at any time and they can be removed.

The Manage Predefined Forms window can be opened by pressing the Manage button placed on the Page window, from the Printing Preferences dialog. For more information on how to manage custom forms go to the How to manage predefined forms topic.

Predefined forms list
The list contains essential information about the existing predefined forms, their visibility, name and description. If the check box in front is checked the predefined from will be visible in the Predefined drop down list from the first page. Selecting a predefined form in the list will show its properties in the fields below.

New
The New button creates a new predefined form at the end of the list. The fields below the list are enabled and the user must enter a form name, width, height, description and select the visibility.

Copy
The Copy button creates a new predefined form at the end of the list with the same properties as the selected form. The user can change the properties of the new predefined form.

Delete
The Delete button deletes the selected predefined form from the list. Only custom forms can be deleted.

Units
Measurement units for the predefined form's width and hight. The available values are millimeters, inches and points. Changing the units will recalculate the Width and Height values.

Name
Short name of the selected predefined form. You can modify it if the selected predefined form is of custom type.

Width
The width of the selected predefined form. You can modify it if the selected predefined form is of custom type.
Height
The height of the selected predefined form. You can modify it if the selected predefined form is of custom type.

Visible
The visibility flag for the selected predefined form. You can show/hide both system and custom predefined forms.

Description
A longer description of the selected predefined form. You can modify it if the selected predefined form is of custom type.

Type
The type of of the selected predefined form. Can be System or Custom, cannot be changed.

Related Topics
Page
How to manage predefined forms


Margins and Zoom (Std or Pro)

Margins and Zoom
(Standard or Professional Edition only)
 Previous Top Next
The Margins and Zoom window is used to set position, margins, zoom, alignment and origin of the document in the PDF page.

The Margins and Zoom window can be opened by pressing the Margins and Zoom button placed on the Page window, from the Printing Preferences dialog.

Margins
You can define a region that will remain empty when printing. Margins can be defined on all sides (left, right, top and bottom). The numbers you enter are expressed in the selected measurement unit. You can change the measurement units from the Units combo box.

Left
The left margin of the PDF page. The sum of the left and right margins cannot exceed 2/3 of the page width. Larger values will be adjusted automatically.

Right
The right margin of the PDF page. The sum of the left and right margins cannot exceed 2/3 of the page width. Larger values will be adjusted automatically

Top
The top margin of the PDF page. The sum of the top and bottom margins cannot exceed 2/3 of the page height. Larger values will be adjusted automatically.

Bottom
The bottom margin of the PDF page. The sum of the top and bottom margins cannot exceed 2/3 of the page height. Larger values will be adjusted automatically.

Fit whole page to margins
If the "Fit whole page to margins" radio button is selected, the output page will be automatically zoomed so it will fit in the printing region. You can see the automatically calculated zoom percent on the right part of the dialog. Also the left and top origin are automatically calculated according to the left and top margins.

Customize zoom and origin
The above behavior (when Fit whole page to margins is set) is probably sufficient in most of the cases. But if you want to have a more accurate control of the result, you can select the Customize zoom and origin radio button and manually enter zoom and page origin.

You can also check two of the four check boxes:
- Center horizontally
- Center vertically
- Align to right
- Align to bottom

When you select one of the above options, page origin is automatically calculated in such a way that the page is aligned to the selected position.

Limitations
The Margin value is limited in such a way that one third of page width or height should always be printed. Also, when you manually change the zoom and page origin, there are some validations made so the printing is not made outside the paper.


Compression (Std or Pro)

Compression
(Standard or Professional Edition only)
 Previous Top Next
This page is part of novaPDF Printing Preferences dialog. It contains settings for the text and image compression level. This page is available only in Standard or Professional Edition.

The Printing Preferences window can be opened by choosing the Printing Preferences menu item when novaPDF Printer is selected in the Printers and Faxes window. It is accessible also form the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF Printer is selected.

Text and graphics
You can choose to compress text and graphics by checking the Enable compression check box.
Text and graphics will be compressed using ZIP compression. Available compression levels are: Fastest, Normal and Maximum.
By default, Normal level of compression is used.

High Color Images
You can choose to compress high color images by checking the Enable compression checkbox.
High color images will be compressed using JPEG or ZIP compression. You can choose ZIP compression level from Fastest, Normal and Maximum, and JPEG compression level from Minimum, Low, Medium, High and Maximum.
By default, the indexed and monochrome images will be compressed with the High level of JPEG compression.

Indexed and Monochrome Images
You can choose to compress indexed and monochrome images by checking the Enable compression checkbox.
Indexed and monochrome images will be compressed using ZIP compression. You can choose ZIP compression level from Fastest, Normal and Maximum.
By default, the indexed and monochrome images will be compressed with the Normal level of ZIP compression.

Enable optimization of image sequences
When this option is enabled, novaPDF Printer driver combines sequences of small images in one big image. The process time will be slightly increased but the resulting PDF file will be smaller. You should enable this option if you have many sequences of small monochrome images and your resulting PDF file is very large. By default, this option is not enabled.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Profiles
How to use Profiles


Fonts (Std or Pro)

Fonts
(Standard or Professional Edition only)
 Previous Top Next
This page is part of novaPDF Printing Preferences dialog. It contains settings for fonts embedding. This page is available only in Standard or Professional Edition.

The Printing Preferences window can be opened by choosing the Printing Preferences menu item when novaPDF Printer is selected in the Printers and Faxes window. It is accessible also form the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF Printer is selected.

Font embedding
You can choose to embed all fonts that are used in a PDF file by checking the Embed All Used Fonts check box. This will generate bigger PDF files, so this setting is not recommended, unless you have to open the generated PDF files on a computer that does not have all used fonts installed.

You can also make a more detailed selection, what fonts to always embed in a PDF file and what fonts to never embed in a PDF file.

In the left part of the window you have a list with all TrueType and OpenType fonts installed on your computer. With the left and right arrow buttons you can move the fonts in the Always Embed Fonts and Never Embed Fonts lists. Take care: the settings are taken in account only if you check the Always Embed Fonts and Never Embed Fonts checkboxes.

By default, the Arial, Courier and Times New Roman fonts are in the Never Embed Fonts list because they are standard fonts in the PDF format and they do not need to be embedded with the PDF file.

Font subsets
You can choose to embed only subsets of font files by checking the Embed Font Subsets check box. This will generate smaller PDF files, so this setting is enabled by default.

When using characters that are not in the standard latin character set (eastern european character set, japanese, chinese, korean or other character sets) the font subset is included in the PDF file, no matter if the font subsets checkbox is set or not, because otherwise these characters will not be included in the generated PDF files.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Profiles
How to use Profiles


Document
This page is part of novaPDF Printing Preferences dialog. It contains settings for PDF document information and how the PDF document should be opened in the Adobe Acrobat Reader.

The Printing Preferences window can be opened by choosing the Printing Preferences menu item when novaPDF Printer is selected in the Printers and Faxes window. It is accessible also form the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF Printer is selected.

Document Information
The Document Information is specific for each printed document and should be set on each printing job. If you wish, you can use some <Default> tags that will fill automatically the fields with information from the printing job.

Here are the Document Information that can be set for a PDF document:

Title - document title. If you use the <Default> tag, the title will be the name of the document that is printed, as it is sent by the printing application.

Subject - subject for the printed document. Default empty.

Author - author of the printed document. If you use the <Default> tag, the author will be the windows user that started the print job.

Keywords - keywords for the printed document. Default empty.

Producer - the application that generated the PDF file. This field is read only and cannot be changed. It will describe novaPDF Printer version and build number.

Acrobat viewer options
These options will be used by the Adobe Acrobat Reader when opening the PDF file:

Start page - the page that will be first shown when opening the PDF file. By default, the first page will be shown.

Page layout - you can choose form next page layouts: Single Page, Continuous, Facing and Continuous - Facing. By default the PDF file will be opened with the Continuous page layout.

Show - you can choose to show some Acrobat viewer panels when open the PDF file: Bookmarks Panel, Pages panel, Layers Panel, Attachments Panel. You can also choose to show the pdf file in the Full Screen mode. By default the PDF file will be opened without any panel, Show Page only mode.

Magnification - you can choose the magnification when opening the PDF file in Acrobat viewer: Fit Width, Fit Height, Fit Page or a percent between 25% and 400%. If you choose Default for magnification, the Acrobat viewer will use its default settings.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Profiles
How to use Profiles


Security (Pro)

Security
(Professional Edition only)
 Previous Top Next
This page is part of novaPDF Printing Preferences dialog. It contains settings for PDF security. This page is available only in Professional Edition.

The Printing Preferences window can be opened by choosing the Printing Preferences menu item when novaPDF Printer is selected in the Printers and Faxes window. It is accessible also form the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF Printer is selected.

Encryption Level
Available encryption levels are:

- No encryption - the PDF file will not be encrypted. PDF document access permissions and user passwords cannot be set in this case (anyone can open the PDF document).

- Low Level (40 bits) - for Acrobat Reader 3.0 and above. The PDF document will be encrypted with a low level encryption algorithm. You can setup passwords for opening the document and other access permissions for printing, editing or extracting text and graphics.

- High Level (128 bits) - for Acrobat Reader 5.0 and above. Beside passwords and access permissions that can be setup for low level encryption, you can add some more advance permissions for the PDF document.

Access Permissions
You can enable or disable permissions to:

Low level (40 bits):
- Print the Document
- Modify Document Content
- Extract Text and Graphics
- Modify Annotations, Fill Forms

High Level (128 bits):
- Print the document (possibly not at the highest quality level, if "Print High Resolution" is not allowed)
- Modify Document Content
- Extract Text and Graphics
- Modify Annotations, Fill Forms (if Modify Document Content is allowed, create or modify interactive form fields)
- Print High Resolution (print the document to a representation from which a faithful digital copy of the PDF content could be generated. When this is not allowed, but "print the Document" is allowed, printing is limited to a low level representation of the appearance, possibly of degraded quality)
- Assemble the Document (insert, rotate, or delete pages and create bookmarks or thumbnail images)
- Advance Extract Text and Graphics (force allow extract text and graphics in support of accessibility to disabled users or for other purposes)
- Advance Fill Forms (fill in existing interactive form fields, even if "Modify Annotations, Fill Forms" is not allowed)

User password
You can setup a user password for opening the PDF document. If you enter a user password, the document cannot be opened without entering user or owner passwords.
Enter the same user password in the confirm password edit field.

Owner password
If the PDF Document is encrypted, access permissions can be changed only if the document is opened with the owner password.
Enter the same owner password in the confirm password edit field.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Profiles
How to use Profiles


Links (Pro)

Links
(Professional Edition only)
 Previous Top Next
This page is part of novaPDF Printing Preferences dialog. It contains settings for PDF Links. This page is available only in Professional Edition.

The Printing Preferences window can be opened by choosing the Printing Preferences menu item when novaPDF Printer is selected in the Printers and Faxes window. It is accessible also form the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF Printer is selected.

Local Files
You can enable or disable next options:

- Detect file names and convert them to PDF links. If this option is enabled, the text in the printed document will be parsed and texts that will match a file name, including its path, will be marked in the PDF as links to file.

- Check file exists for linking. If this option is enabled, there will be a check if the file really exists and the PDF links will be added only if the file is found. Take care that the printing and PDF generation is made on the printing server computer, so if linked files are on another computer in the network, you should mention them in the printed document with their UNC path.

Appearance
You can customize the links appearence in the PDF file.

Border type:
- No border
- Underline
- Rectangle

If you choose a border, you can further select:
- Border line style - solid or dashed
- Border line width - points number, default 1 point
- Border line color - default blue

You have also the option to change the text color to match the border color buy checking the "Set color same as border color" check box.

On the bottom of the page you can see an example of how the PDF links will look like.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Profiles
How to use Profiles


Bookmarks (Pro)

Bookmarks
(Professional Edition only)
 Previous Top Next

This page is part of novaPDF Printing Preferences dialog. It contains settings for PDF Bookmarks. This page is available only in Professional Edition.

The Printing Preferences window can be opened by choosing the Printing Preferences menu item when novaPDF Printer is selected in the Printers and Faxes window. It is accessible also form the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF Printer is selected.

Enabling bookmark detection
You can choose to enable bookmark detection in a PDF file by checking the Enable bookmark detection check box. This will generate bigger PDF files, which will increase a little the generation time for these files (??).

Allow multiline bookmarks
By checking this option, you can choose to allow the detection of bookmarks placed on consecutive lines in a PDF file. If you leave this check box unchecked, such bookmarks will be detected as different ones.

Match bookmarks regardless of levels
By choosing this option, in case two consecutive detected bookmarks don't have consecutive levels, some intermediary "dummy" nodes will be placed between them, in order to keep hierarchy visible.

Bookmarks
The list-view contains information for all predefined bookmarks:
- Name (heading name)
- Description (contains the detection attributes for the bookmark, such as: font, size, style)

The bookmarks may have more than one definition, in this case the description contains the number of definitions.

Add...
The Add... button opens a new window (see Bookmark Definitions ) and adds a new bookmark at the end of the list.

Edit...
The Edit... button allows modifying the attributes of a bookmark, such as: enabling, disabling existing definitions, removing existing or adding new definitions.

Remove
The Remove button deletes a bookmark and all it's definitions from the list-view.

Use levels
This value signifies the number of defined bookmarks which will be taken into consideration when generating the PDF file.

Open to level
This value signifies the number of opened bookmarks in the bookmark layout of the generated PDF file.


Add/Edit Bookmark (Pro)

Add/Edit Bookmark
(Professional Edition only)
 Previous Top Next

This dialog is used to add, update or remove definitions for the currently selected bookmark.

The dialog is opened by pressing the Add... or Edit... button placed on the Bookmarks window, from the Printing Preferences dialog.

Definitions list
The list-view contains information for all the definitions of the current bookmark:
- Name (definition name)
- Description (contains the detection attributes for the currently selected definition, such as: font, size, style)

New
The New button adds a new definition, with default detection options values, at the end of the list.

Copy
The Copy button provides a copy of the currently selected definition, and places it at the end of the list.

Delete
The Delete button removes the currently selected definition from the list-view.

Detection options
You can choose one or more of the next detection options:
- Font
- Size and size margin
- Style - you may choose bold, italic, both or none.
- Color - you may choose your favorite color from a palette
- Enabled - this option signifies whether the currently selected definition will be taken into consideration.

Display options
You can choose from the following display options:
- Style - bold and/or italic
- Color - you may choose your favorite color from a palette

Detection preview
This section illustrates the appearance of the current definition, accordingly to the detection options that are enabled.


Save
This page is part of novaPDF Printing Preferences dialog. It contains settings for where to save the generated PDF files and for after print actions.

The Printing Preferences window can be opened by choosing the Printing Preferences menu item when novaPDF Printer is selected in the Printers and Faxes window. It is accessible also form the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF Printer is selected.

Destination
When you have a Public Profile on a novaPDF Server Edition, you can choose where to save the generated PDF file:
- Local - the file will be saved on the computer from where the print job was started
- Network - the file will be saved on the printer server computer
For private profiles, the destination is always Local.

Save options
You can choose to manually set the destination folder for the generated PDF files on each print job, by choosing the Prompt "Save As" Dialog radio button.

If you prefer to save all generated PDF files in the same folder, you can choose the Use predefined settings radio button. Then you should open the Configure Save Options dialog to set the folder where the PDF files will be generated.

Choose a folder on your computer or on the network where the files will be saved. You should also type a name for the generated PDF file. In order to use different file names for each generated PDF files, you can use some macros in the File name field (an example of how the macros are converted is shown just below the File name edit field).

You can select any of next macros:

[N] - Document name
[YMD] - Date in the format YYYYMMDD (year, month, day)
[Y] - Year in the format YYYY
[M] - Month in the format MM
[D] - Day in the format DD
[HIS] - time in the format hhmmss (hour, minute, second)
[H] - Hour in the format hh
[I] - Minute in the format mm
[S] - Second in the format ss
[C] - Counter in the format cc (it begins with 01 and increases at each printed document, if a file with the same name exists in the save folder)
[W] - Computer name
[U] - User name

If you choose the Use predefined setting radio button but you did not enter a folder or a file name, you will be prompted with the Save As dialog when printing the novaPDF Printer. If you choose a folder that does not exist, it will be automatically created.

When a file with the same name already exists in the selected folder, you can choose one of the next actions:
- Prompt Query Dialog - a "Save as" dialog will be shown so you can change the name of the file or folder manually
- Auto number new - a counter is added to the file name of the new generate pdf file
- Auto number existing - a counter is added to the file name of the existing pdf file. The new pdf file will have the name set in this dialog
- Append Date/Time - the date and time is appended to the generated pdf file name
- Overwrite - existing file is overwritten with the new generated file

After Save Action
After the PDF file was generated and saved, it can be opened in the default PDF viewer.

To open the PDF file in the default viewer, choose Open with default PDF Viewer radio button.

To open the document in other application, choose the Run application radio button and select the application in the edit field below. You can also add some parameters that will be passed to this application when started.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Profiles
Public Profiles
How to use Profiles


Email (Pro)

Email
(Professional Edition only)
 Previous Top Next
This page is part of novaPDF Printing Preferences dialog. It contains settings for Email. This page is available only in Professional Edition.

The Printing Preferences window can be opened by choosing the Printing Preferences menu item when novaPDF Printer is selected in the Printers and Faxes window. It is accessible also form the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF Printer is selected.

Send Email
You can enable or disable the email feature by checking or unchecking this checkbox. If email feature is enabled, you should configure email properties.

Zip email attachment
If this option is selected, the PDF file will be first compressed with zip and the zip file will be attached to the email.

Delivery method
You can choose one of the next delivery methods:
- Open default email client - in this case an email dialog will be opened in the defalut email (for instance Outlook Express) and the email details will be filled in. You can make changes to the email and the email will be sent only if you press the Send button.
- Send with default email client - in this case the mail will be automatically sent using your default email client (for instance Outlook Express). You cannot change the email information in this case. A copy of you email is saved in your "Sent emails" folder.
- Send with SMTP - in this case the email is sent using a SMTP server. You have to configure your SMTP servere in the Configure SMTP dialog. You can open this dialog by pressing the "Configure SMTP..." button.

Configure email
You can configure email properties, like Subject, Content, email adresses in the Configure email dialog. ou can open this dialog by pressing the "Configure Email..." button.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Configure email
Configure SMTP
Profiles
How to use Profiles


Configure SMTP (Pro)

Configure SMTP
(Professional Edition only)
 Previous Top Next
This dialog is used to configure your SMTP server.

The dialog can be opened by pressing the Configure SMTP button placed on the Email window, from the Printing Preferences dialog.

SMTP Server
Enter your SMTP server name or IP.

SMTP Port
Enter SMTP Port. Usually this is port number 25.

Secure connection
Set the checkbox This server requires a secure connection if your SMTP server requires SSL connection

Authentification required
If your SMTP server requires authentification, check the Authentification required checkbox and enter the Account name and password.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Profiles
How to use Profiles
Email


Configure Email (Pro)

Configure Email
(Professional Edition only)
 Previous Top Next
This dialog is used to configure email details.

The dialog can be opened by pressing the Configure email button placed on the Email window, from the Printing Preferences dialog.

You can configure next email properties:
- From address (the sender of the email, enter your address)
- To email addresses
- CC email addresses
- BCC email addresses
- Email subject
- Email content

The From addresss is used only when sending the email with SMTP. When sending the email with the default email client, the from address will be the default address configured in your email client.

You can enter multiple addresses for TO, CC and BCC.

All changes you make on this page, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Profiles
How to use Profiles
Email


Profiles (Std or Pro)

Profiles
(Standard or Professional Edition only)
 Previous Top Next
This page is part of novaPDF Printing Preferences dialog. It contains printing profile settings. This page is available only in Standard or Professional Edition.

The Printing Preferences window can be opened by choosing the Printing Preferences menu item when novaPDF Printer is selected in the Printers and Faxes window. It is accessible also form the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF Printer is selected.

When the novaPDF Printer is installed, a Default Profile is automatically created. This profile is the only profile in the beginning and its setting will be used for all novaPDF print jobs. You can later define some other profiles and choose one of them as the active profile. All defined profiles are shown in the Profiles list view.

If you have a novaPDF Printer Server Edition, you can create private or public profiles. Public profiles are visible from all client computers. You are only allowed to create public profiles on the printer server computer. Private profiles are visible only on the computer where they were created.

New
Create a new profile. The new profile will have default settings on all Printing Preferences dialogs. A dialog will be shown to enter the name of the new profile.

Copy
Create a new profile by copying the settings from the profile selected in the profiles list. A dialog will be shown to enter the name of the new profile.

Rename
Renames the profile currentlu selected in the Profiles listview. A dialog will be shown to enter the new name of the profile.

Delete
Deletes the profile selected in the profiles list. You cannot delete the current active profile. You have to set another profile as active profile first. There will always be at least one profile.

Set Active
Set the profile selected in the profiles list as current active profile. The active profile settings will be used in the subsequent printing jobs.

Allow changes to this profile
If this checkbox is checked, the settings in the public profiles can be overwritten on client computers. If this flag is not set, the public profiles cannot be modified on client computers (all Printing Preferences pages are disabled).

Profile Settings Override Paper Settings From Printing Applications
Some settings regarding page size, page orientation and resolution (see Page settings topic) can be selected also from the printing dialogs of the application you are printing from. If you open the novaPDF Printing Preferences property sheet from the printing application, you will see the same settings automatically selected here too. But you can change them, and the changes will be taken in account when printing.

If you do not want this behavior, and you prefer to make page size selection only in novaPDF Printing Preferences property sheet, and you also want the settings you make to be remembered and used on the next printing jobs, you should check the Profile Settings Override Paper Settings From Printing Applications check box.

Reset selected profile
This button is enabled only for public profiles, that can be changed on client computers. On the client computer, if you changed a public profile, you can press this button to reset the options to the values from the server computer.

When activating a different profile
When activating a different profile you may loose some changes you made to the previous active profile, if you made some changes in the Printing Preferences property sheet pages and you did not press the Apply or OK buttons. You have two options:
- let the system ask you if you want to save the changes to the previous active profile or not (select the Ask me what to do radio button)
- let the system automatically save the changes to the previous active profile (select Automatically save changes to the active profile radio button)

For more details how to use profiles go to How to use Profiles topic

Related Topics
How to use Profiles
Public Profiles (Server)
Page settings


Language
This page is part of novaPDF Printing Preferences dialog. You can choose the language for the Printing Preferences pages.

The Printing Preferences window can be opened by choosing the Printing Preferences menu item when novaPDF Printer is selected in the Printers and Faxes window. It is accessible also form the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF Printer is selected.

Use user regional settings
If you check this option, the language will be automatically selected depending on each user regional setting. If the user language is not available in novaPDF, the default language is chosen (English).

Select Language
If you want all users to use the same language, select one of the languages in the Select language combobox.


How to manage predefined forms ?
Predefined forms are standard and custom predefined page sizes. Beside the standard predefined forms (like "Letter", "A4", etc.), you can define some other custom predefined forms that you often use when printing to novaPDF Printer.

Predefined forms are managed from the Printing Preferences dialog that can be opened by choosing the Printing Preferences menu item for the novaPDF Printer in Control Panel, Printers and Faxes window. Also, it usually can be opened form the printing Windows application, in the Print dialog, Properties or Preferences button.

Custom predefined forms can be added, modified and removed from the Predefined Forms dialog.

How to add a Custom Predefined Form
To add a custom predefined form you should make next steps:
- go to the Page settings window
- select Predefined page size radio button
- press the Manage button next to the predefined forms combo box
- press the Add button on the Manage Predefined Forms dialog
- fill the form name, description, width and height
- set the form visible
- press the OK button and return in the Page settings page
- choose the new added form in the predefined combobox

How to modify a Custom Predefined Form
To modify a custom predefined form you should make next steps:
- go to the Page settings window
- select Predefined page size radio button
- press the Manage button next to the predefined forms combo box
- select the form in the listview
- change the form name, description, width and height in the controls below
- press the OK button and return in the Page settings page

How to remove a Custom Predefined Form
To remove a custom predefined form you should make next steps:
- go to the Page settings window
- select Predefined page size radio button
- press the Manage button next to the predefined forms combo box
- select the form in the listview
- press the Remove button
- press the OK button and return in the Page settings page

How to select the visibility for the Predefined Forms
To select what predefined forms should be visible in the predefined combobox in the Page settings page, you should make next steps:
- go to the Page settings window
- select Predefined page size radio button
- press the Manage button next to the predefined forms combo box
- select the form in the listview
- change Visible checkbox
- press the OK button and return in the Page settings page

All changes you make on this dialog, are saved in the active Profile. For more details on how to manage profiles go to Profiles or How to use Profiles topics.

Related Topics
Page settings
Predefined Forms
Profiles
How to use Profiles


How to use private profiles ?
Private profiles are available in novaPDF Standard or Professional edition (both for desktop and server installations).

Private profiles are visible only on the computer where they were created and they are kept in the registry. With private profiles, the generated PDF files are always sent back to the computer that initiated the print job.

You can create different private profiles, each with its own settings for page size, resolution, fonts, compression, document info, save settings and other. You can later use them to quickly change the desired print settings, by setting the active profile.

If several users are using the same computer to generate PDF files with novaPDF, each user can create its own profiles. Then they only have to set the active profile and start printing to novaPDF Printer.

Or you might define different profiles depending on the application you are printing from. For instance you might define a profile for printing text documents, a different profile for images, and a different profile for printing drawings.

A default private profile is automatically created when you first install the software. Afterwards, you can add new profiles, modify existing ones and also delete profiles form the Profiles page in the Printing Preferences dialog.

Related Topics
Profiles
How to use public profiles ?


How to use public profiles ?
Public profiles are available in novaPDF Printer Standard Server or Professional Server edition.

Public profiles are visible from all client computers. You are only allowed to create public profiles on the printer server. When a client computer connects to the printer server, or when it opens the Printing Preferences dialog, the public profiles are updated on the client computer.

You should use public profiles if you want to configure printing options that can be used by several computers in your network. For instance, you can configure a folder where all client computers will save the PDF files.

Public profiles have a flag called "Allow changes on client computers". If this flag is set, the settings in the public profile can be overwritten on client computers. You can keep for instance all changes regarding security, bookmarks, compression from the public profile and override on the client the PDF file name or the PDF page sizes.

Related Topics
Profiles
How to use private profiles ?


How to install from command line ?
Install novaPDF Printer

novaPDF Setup has the following command line parameters:

/SILENT, /VERYSILENT
Instructs Setup to be silent or very silent. When Setup is silent the wizard and the background window are not displayed but the installation progress window is. When a setup is very silent this installation progress window is not displayed. Everything else is normal so for example error messages during installation are displayed
If a restart is necessary and the /NORESTART command isn't used (see below) and Setup is silent, it will display a Reboot now? message box. If it's very silent it will reboot without asking.

/SUPPRESSMSGBOXES
Instructs Setup to suppress message boxes. Only has an effect when combined with /SILENT and /VERYSILENT.

/NOCANCEL
Prevents the user from cancelling during the installation process, by disabling the Cancel button and ignoring clicks on the close button. Useful along with /SILENT or /VERYSILENT.

/NORESTART
Instructs Setup not to reboot even if it's necessary.
/RESTARTEXITCODE=exit code
Specifies the custom exit code that Setup is to return when a restart is needed. Useful along with '/NORESTART'

/DIR="x:\dirname"
Overrides the default directory name displayed on the Select Destination Location wizard page. A fully qualified pathname must be specified.

/GROUP="folder name"
Overrides the default folder name displayed on the Select Start Menu Folder wizard page.

/LANG="language"
Specifies the language to use for the installation. When a valid /LANG parameter is used, the Select Language dialog will be suppressed.

/Languages="language1-language2-..."
Specifies the languages that will be installed. Use short language codes (like "en-it"). See the complete Language codes list.

/DefaultLang="language"
Specifies the default language. Use short language codes (like "en") or the "REGST" constant for "Use regional settings" option. See the complete Language codes list.

/PrinterName="printer name"
Name of the installed printer. By default the name is "novaPDF Pro v4"

/RegisterName="registration name"
novaPDF Printer registration name

/RegisterKey="license key"
novaPDF Printer Registration key (not the sdk application license key, but the printer license key)

/Default
Instructs setup to set the printer as default printer.

/NoInstallIfExists
Instructs setup to check if a novaPDF printer, with the same name, is already installed. If it is, it does not start the installation

Here is an example of how to call the silent installer:

novapp.exe /VERYSILENT /SUPPRESSMSGBOXES /NOCANCEL /NORESTART /PrinterName="novaPDF Pro v4"

Uninstall novaPDF Printer
When installing novaPDF Printer, there will be added a Start Menu folder for the novaPDF Printer. There will be also an menu item for the uninstaller.
If you installed with default directory name, the uninstaller is located at:
"C:\Program Files\Softland\novaPDF Printer Professional 4\unins000.exe".

The uninstaller has also some parameters for silent uninstall (they have the same meaning as for the installer, see above for details):
/SILENT
/VERYSILENT
/SUPPRESSMSGBOXES
/NORESTART


Licensing and registration
Licensing

novaPDF Printer is available as Shareware - another way of saying "Try before you buy". It is fully functional with no time limitation. A notice is printed on each PDF page mentioning the novaPDF Printer. The notice will be removed when you buy and register novaPDF Printer license. You can buy a license key online by filling out the purchase form.

To start the order process, go to the About page in the Printing Preferences dialog and click on Buy now! button. These will open the online web page where you can purchase novaPDF Printer.

After completing the purchase, a registration key will be delivered to you by email. This key is required to register the program. It is recommended that you make a backup copy of this email (e.g. print out a hard copy).

Registration

The "Register" window appears when clicking the Register button on the About page.

Please fill in the exact values as you received by email. You can copy-paste the information directly into the registration window. Press the OK button when you are ready.

If the registration information is valid, you will get a confirmation message saying the application has been successfully registered. After the confirmation message, you can see the registration details on the About page.

If you lost your registration key, please send us your purchase information (purchase number and approximate date), specify the name (company name) and email address you used to buy your copy of novaPDF Printer. We will send to you the registration key again.

If you have questions or you experience problems related to the registration process, you can use the Support button to contact us. We will be happy to assist you with the registration.


Network licensing
Network license
If you want to use novaPDF Printer as a printer server, you will need a novaPDF Server license with the number of users you wish to connect to the printer server.

The license should be registered on the printer server computer.

Manage network licenses
You can manage network licenses only from the printer server computer.
The number of licenses is written on the About page in the Printing Preferences dialog.

You can manage network licenses from the Licenses dialog that is opened from the About page, Licenses button.

When you first register a network license, the Licenses dialog is empty. If a print job is started from a computer in the network, the computer name is registered automatically for a license, as long as there are licenses available. So if you bought enough licenses for your network, you don't have to configure anything, all computers will be automatically registered when they initiate their first print job to the novaPDF printer on the printer server.

If you wish, you can manage the licensed workstations manually in the Licenses dialog. You can add, remove or rename workstations in the licensed machines list.

Depending on your network configuration, you can choose what machine names to use for licensing: NetBIOS names or DNS names. You can switch at any time between NetBIOS and DNS names. Just remember that if you already have machines licensed with one name they will not be recognized with the other name. You will have to change the names manually or you can remove all machines from the licensed list and let the novaPDF printer license them with the new name at the moment of the first print job.


Features list
 Previous Top

This dialog can be opened from the About page. It shows a list of features available in your edition of novaPDF Printer. The Enabled column shows if the feature is available or not.


This dialog can be opened from the About page. It shows a list of features available in your edition of novaPDF Printer. The Enabled column shows if the feature is available or not.